#!/bin/bash
#plots all PWMs from a given input file

filename=PWMs_ranked.dat


#split files
split -l 7 -d --additional-suffix=.dat ${filename} pmat

#safe number of digits for leading zeros
di="$(ls -dq pmat*.dat | wc -l)"
digits="${#di}"

i=0
for wdfile in ${PWD}/pmat*.dat;
do
	((i++))
	head -n 5 ${wdfile} > mat$(printf "%0${digits}d" ${i}).dat
done

rm pmat*.dat


#load library
echo "library(seqLogo)" >> next.plot.r

#load tables
i=0
for wdfile in ${PWD}/mat*.dat;
do
	((i++))
	echo 'm'$(printf "%0${digits}d" ${i})' <- read.table("'${wdfile}'", header=TRUE, stringsAsFactors=FALSE)' >> next.plot.r
	echo 'p'$(printf "%0${digits}d" ${i})' <- makePWM(m'$(printf "%0${digits}d" ${i})')' >> next.plot.r
done


#export plots to PDF, once with info content scaling, once without
echo 'pdf("plots.pdf")' >> next.plot.r

i=0
for wdfile in ${PWD}/mat*.dat;
do
	((i++))
	echo 'seqLogo(p'$(printf "%0${digits}d" ${i})')' >> next.plot.r
done

echo 'dev.off()' >> next.plot.r

echo 'q()' >> next.plot.r
echo 'n' >> next.plot.r

Rscript next.plot.r

rm mat*.dat
rm next.plot.r
